﻿<Graph ClassName="INEmployeeCharges" Source="#CDATA" IsNew="True" FileType="NewDac">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using PX.Objects.EP;
using PX.Objects.IN;
namespace Dispatch
{
  [Serializable]
  [PXCacheName("INEmployeeCharges")]
  public class INEmployeeCharges : IBqlTable
  {
    #region EmployeeID
    [PXDBInt(IsKey=true)]
    [PXUIField(DisplayName = "Employee ID")]
    [PXDefault()]
    [PXEPEmployeeSelector()]
    public virtual int? EmployeeID { get; set; }
    public abstract class employeeID : PX.Data.BQL.BqlInt.Field<employeeID> { }
    #endregion

    #region ChargeAmount
    [PXDBDecimal()]
    [PXUIField(DisplayName = "Charge Amount")]
    [PXDefault(TypeCode.Decimal, "0.00", PersistingCheck = PXPersistingCheck.Nothing)]
    public virtual Decimal? ChargeAmount { get; set; }
    public abstract class chargeAmount : PX.Data.BQL.BqlDecimal.Field<chargeAmount> { }
    #endregion

    #region JTBatchRefNbr
    [PXDBString(15, IsUnicode = true, InputMask = "")]
    [PXUIField(DisplayName = "JTBatch Ref Nbr",Enabled = false,Visible = false)]
    public virtual string JTBatchRefNbr { get; set; }
    public abstract class jTBatchRefNbr : PX.Data.BQL.BqlString.Field<jTBatchRefNbr> { }
    #endregion

    #region DocType
    [PXDBString(1,IsKey = true ,IsFixed = true, InputMask = "")]
    [PXUIField(DisplayName = "Doc Type")]
    [PXDefault(typeof(INRegister.docType))]
    public virtual string DocType { get; set; }
    public abstract class docType : PX.Data.BQL.BqlString.Field<docType> { }
    #endregion

    #region RefNbr
    [PXDBString(15, IsKey = true,IsFixed = true, IsUnicode = true, InputMask = "")]
    [PXUIField(DisplayName = "Ref Nbr")]
    [PXDBDefault(typeof(INRegister.refNbr))]
    [PXParent(typeof(Select<INRegister,Where<INRegister.refNbr,Equal<Current<refNbr>>,And<INRegister.docType,Equal<Current<docType>>>>>))]
    public virtual string RefNbr { get; set; }
    public abstract class refNbr : PX.Data.BQL.BqlString.Field<refNbr> { }
    #endregion

    #region Tstamp
    [PXDBTimestamp()]
    [PXUIField(DisplayName = "Tstamp")]
    public virtual byte[] Tstamp { get; set; }
    public abstract class tstamp : PX.Data.BQL.BqlByteArray.Field<tstamp> { }
    #endregion

    #region CreatedByID
    [PXDBCreatedByID()]
    public virtual Guid? CreatedByID { get; set; }
    public abstract class createdByID : PX.Data.BQL.BqlGuid.Field<createdByID> { }
    #endregion

    #region CreatedDateTime
    [PXDBCreatedDateTime()]
    [PXUIField(DisplayName = "Created Date Time")]
    public virtual DateTime? CreatedDateTime{ get; set; }
    public abstract class createdDateTime : PX.Data.BQL.BqlDateTime.Field<createdDateTime > { }
    #endregion

    #region CreatedByScreenID
    [PXDBCreatedByScreenID()]
    public virtual string CreatedByScreenID { get; set; }
    public abstract class createdByScreenID : PX.Data.BQL.BqlString.Field<createdByScreenID> { }
    #endregion

    #region LastModifiedByID
    [PXDBLastModifiedByID()]
    public virtual Guid? LastModifiedByID { get; set; }
    public abstract class lastModifiedByID : PX.Data.BQL.BqlGuid.Field<lastModifiedByID> { }
    #endregion

    #region LastModifiedByScreenID
    [PXDBLastModifiedByScreenID()]
    public virtual string LastModifiedByScreenID { get; set; }
    public abstract class lastModifiedByScreenID : PX.Data.BQL.BqlString.Field<lastModifiedByScreenID> { }
    #endregion

    #region LastModifiedDateTime
    [PXDBLastModifiedDateTime()]
    public virtual DateTime? LastModifiedDateTime { get; set; }
    public abstract class lastModifiedDateTime : PX.Data.BQL.BqlDateTime.Field<lastModifiedDateTime> { }
    #endregion
  }
}]]></CDATA>
</Graph>